@charset "UTF-8";

.favorite-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 500;
}

.favorite-modal-contents-area {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  overflow: auto;
  z-index: 2;
}

.favorite-modal-close {
  position: absolute;
  top: -68px;
  right: 0;
  z-index: 4;
  width: 48px;
  height: 48px;
  padding: 0;
}

.favorite-modal-close:hover {
  opacity: 0.8;
}

.favorite-modal-overray {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.8);
}

.favorite-modal-contents {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  margin-left: auto;
  margin-right: auto;
  background-color: #fff;
  border-radius: 8px;
}

.favorite-modal-contents .contents-item {
  width: 335px;
  padding: 60px 24px;
}

.favorite-modal-contents .contents-item.login {
  width: 642px;
  padding: 107px 177px;
}

.favorite-modal-contents .icon {
  width: 64px;
  margin-left: auto;
  margin-right: auto;
  display: block;
}

.favorite-modal-contents .text {
  font-size: 16px;
  margin-top: 20px;
  text-align: center;
  line-height: 1.5;
  white-space: nowrap;
  letter-spacing: 0.1em;
}

.favorite-modal-contents .text.red {
  color: #c3002f;
}

.favorite-modal-contents .logo {
  width: 248px;
  margin-left: auto;
  margin-right: auto;
}

.favorite-modal-contents .btn-wrap {
  margin-top: 40px;
}

.favorite-modal-contents .btn-wrap .btn {
  position: relative;
  width: 100%;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: nowrap;
  border-radius: 8px;
  color: #fff;
  font-size: 13px;
  letter-spacing: 0.1em;
  text-decoration: none;
}

.favorite-modal-contents .btn-wrap .btn:hover {
  background-color: #920023;
}

.favorite-modal-contents .btn-wrap .btn-close {
  background-color: #373840;
}

.favorite-modal-contents .btn-wrap .btn-close:hover {
  background-color: #373840;
  opacity: 0.8;
}

.favorite-modal-contents .btn-wrap .btn-close::after {
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 12px;
  background: url(../IMAGES/icon_favorite_modal_close.svg) center/contain no-repeat;
  width: 20px;
  height: 20px;
}

.favorite-modal-contents .btn-wrap .btn-remove::after, .favorite-modal-contents .btn-wrap .btn-login::after, .favorite-modal-contents .btn-wrap .btn-signup::after {
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 12px;
  background: url(../IMAGES/icon_favorite_modal_arrow_right.svg) center/contain no-repeat;
  width: 20px;
  height: 20px;
}

.favorite-modal-contents .btn-wrap .btn-remove, .favorite-modal-contents .btn-wrap .btn-login {
  background-color: #c3002f;
  margin-bottom: 15px;
}

.favorite-modal-contents .btn-wrap .btn-signup {
  background-color: #717171;
}

.favorite-modal-contents .btn-wrap .btn-signup:hover {
  background-color: #717171;
  opacity: 0.8;
}

.favorite-modal .login .btn-wrap {
  padding-bottom: 56px;
  border-bottom: 1px solid #707070;
}

.favorite-modal .login .link-wrap {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  flex-wrap: nowrap;
}

.favorite-modal .login .link {
  display: inline-block;
  color: #252525;
  text-decoration: none;
  font-size: 16px;
  margin-top: 10px;
  margin-left: auto;
  padding-right: 24px;
  position: relative;
}

.favorite-modal .login .link::after {
  font-family: icon-Nissan-Global;
  speak: none;
  font-style: normal;
  font-weight: 400;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  font-size: 0.78571em;
  content: "\e634";
  color: #c3002f;
  right: 0;
  top: 50%;
  margin-top: -0.5em;
  position: absolute;
  font-variant: normal;
  overflow: hidden;
}

@media all and (max-width: 767px) and (min-height: 430px) {
  .favorite-modal-contents .contents-item.login {
    max-width: 335px;
    padding: 65px 24px;
  }

  .favorite-modal-contents .text {
    font-size: 16px;
  }

  .favorite-modal-contents .logo {
    width: 178px;
  }

  .favorite-modal-contents .btn-wrap .btn-remove, .favorite-modal-contents .btn-wrap .btn-login {
    margin-bottom: 8px;
  }

  .favorite-modal .login .text {
    margin-top: 32px;
    font-size: 13px;
  }

  .favorite-modal .login .btn-wrap {
    margin-top: 60px;
    padding-bottom: 42px;
  }

  .favorite-modal .login .link {
    font-size: 13px;
  }
}

@media (max-height: 430px) {
  .favorite-modal-contents {
    transform: translate(-50%, calc(-50% + 25px));
  }
  .favorite-modal-contents .contents-item.login {
    max-height: 335px;
    padding: 24px 177px;
  }
  .favorite-modal-contents .logo {
    width: 178px;
  }
  .favorite-modal .login .text {
    margin-top: 32px;
    font-size: 13px;
  }
  .favorite-modal .login .btn-wrap {
    padding-bottom: 24px;
    margin-top: 24px;
  }
  .favorite-modal .login .link {
    font-size: 13px;
  }
}
@media (max-height: 390px) {
  .favorite-modal-contents .contents-item.login {
    width: 540px;
    max-height: 268px;
    padding: 12px 126px;
  }
  .favorite-modal .login .text {
    margin-top: 16px;
  }
  .favorite-modal .login .btn-wrap {
    padding-bottom: 12px;
    margin-top: 12px;
  }
}